#ifndef H_UI_GTK_INCLUDED
#define H_UI_GTK_INCLUDED


/**
 * \file ui.h
 *
 * \brief Définitions et macros génériques (version GTK).
 * Le nom du fichier était mind_gtk.h de 2017 à 2019.
 *
 * \author Denis MARTIN
 * \copyright GNU General Public License 3+
 *
 * \date 2017-2020
 *
 */


/*

Copyright (C) 2017-2020 Denis MARTIN <dmartin@taupie.net>

---------------------------------------

This file was part of MinD from 2017 to 2019 and is now part
of Taupie since 2020.

Taupie is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License,
or any later version.

Taupie is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Taupie.  If not, see <http://www.gnu.org/licenses/>.

--------------------------------------------------------------------------

Ce fichier a fait partie de MinD de 2017 à 2019 et fait maintenant
partie de Taupie depuis 2020.

Taupie est un logiciel libre : il peut être redistribué et/ou modifié
selon les termes de la Licence Publique Générale GNU telle que publiée par
la Free Software Foundation, soit la version 3 de la licence ou toute
version ultérieure.

Taupie est distribué dans l'espoir qu'il sera utile,
mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de
VALEUR MARCHANDE ou d'ADEQUATION AVEC UN BUT PARTICULIER. Voir la
Licence Publique Générale GNU pour plus de détails.

Une copie de la Licence Publique Générale GNU devrait être fournie
avec Taupie. Si ce n'est pas le cas, voir <http://www.gnu.org/licenses/>.

*/


#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>

#include <ctype.h>
#include <glib.h>
#include <glib/gstdio.h>
#include <gtk/gtk.h>

#include "../commons.h"


#define HWND GtkWidget*
#define HINSTANCE GtkWidget*
#define LPARAM void*
#define WPARAM void*
#define UINT guint
#define LONG_PTR glong
#define DWORD gulong

#ifdef WIN64
#define INT_PTR long long int
#else
#ifdef WIN32
#define INT_PTR int
#else
#define INT_PTR long long int
#endif
#endif


#ifndef WIN32
#define TEXT(a) a
#endif

#define _totupper toupper

#define _istspace isspace
#define _istalnum isalnum

#define _tcslen(str) strlen(str) //g_utf8_strlen(str,-1)
#define _tcsdup strdup
#define _tcscmp g_utf8_collate
#define _tcsicmp strcasecmp
#define _tcsnicmp strncasecmp
#define _tcsstr strstr
#define _tcsistr strcasestr
#define _tcstol strtol
#define _tcscpy strcpy
#define _tcsncpy strncpy //g_utf8_strncpy
#define _tcschr(str,val) strchr(str,val) //g_utf8_strchr(str,-1,val)
//#define _tcsrchr(str,val) strrchr(str,val) //g_utf8_strrchr(str,-1,val)
#define _tcscat strcat
#define _tcsspn strspn
#define _tcscspn strcspn

#define _tstoi atoi
#define _tstof atof

#define _tfopen g_fopen
#define _fgetts fgets
#define _fgettc fgetc
#define _ftprintf fprintf
#define _tmkdir mkdir

#define _sntprintf snprintf
#define _tsetlocale setlocale


void PushError(const gchar *text);

gchar *FileInChooser(HWND hwnd, const gchar *title, const gchar *type);
gchar *FileOutChooser(HWND hwnd, const gchar *title, const gchar *type);

GtkWidget *AddTooltip(HWND hwnd, const char *text);

int MessageBoxYesNo(HWND hwnd, char *message, char *title);

char *SetDefaultDir(const char *fileName);

const char *GetCharset(const char *fileName);
gchar *FGetS(gchar *buffer, int bufferSize, FILE *fileIn, const gchar *charsetIn);
short int FGetC(FILE *fileIn, const gchar *charsetIn) __attribute__ ((hot));

#endif

