#ifndef HEADER_14FC1D2BF787CF4E
#define HEADER_14FC1D2BF787CF4E

/**
 * \file message.h
 *
 * \brief Déclaration des fonctions et macros pour la gestion des messages
 *
 * \author Denis MARTIN
 * \copyright GNU General Public License 3+
 *
 * \date 2017-2020
 */


/*

Copyright (C) 2017, 2020 Denis MARTIN <dmartin@taupie.net>

---------------------------------------

This file is part of MinD, itself part of Taupie since 2020.

Taupie is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License,
or any later version.

Taupie is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Taupie.  If not, see <http://www.gnu.org/licenses/>.

--------------------------------------------------------------------------

Ce fichier fait partie de MinD, lui-même partie de Taupie depuis 2020.

Taupie est un logiciel libre : il peut être redistribué et/ou modifié
selon les termes de la Licence Publique Générale GNU telle que publiée par
la Free Software Foundation, soit la version 3 de la licence ou toute
version ultérieure.

Taupie est distribué dans l'espoir qu'il sera utile,
mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de
VALEUR MARCHANDE ou d'ADEQUATION AVEC UN BUT PARTICULIER. Voir la
Licence Publique Générale GNU pour plus de détails.

Une copie de la Licence Publique Générale GNU devrait être fournie
avec Taupie. Si ce n'est pas le cas, voir <http://www.gnu.org/licenses/>.

*/


#ifndef MESSAGE_INCLUDED
#define MESSAGE_INCLUDED

#ifdef UI_GTK
#include "../GTK/ui.h"
#endif

#ifdef UI_WIN32
#include "../Win32/ui.h"
#endif

#include "mind.h"


/**
 * \struct _MinDMessage
 * \brief Structure de stockage d'un message et de son titre
 */
struct _MinDMessage
{
  char *text;                 /**< texte du message */
  char *title;                /**< titre du message */
};

typedef struct _MinDMessage MinDMessage;


void DisplayMessageBox(MinDState *mindstate, MinDMessage *message);
MinDMessage *CreateMessageBox(MinDValue *text, MinDValue *title);
int FreeMessageBox(MinDMessage *message);

int MinDMessageBox(HINSTANCE hInstance, HWND hwnd, MinDMessage *message);


#endif
#endif // header guard 

