#ifndef SCRIPT_INCLUDED
#define SCRIPT_INCLUDED


/**
 * \file script.h
 *
 * \brief Déclaration des fonctions et macros pour la gestion des scripts
 *
 * \author Denis MARTIN
 * \copyright GNU General Public License 3+
 *
 * \date 2017-2020
 */


/*

Copyright (C) 2017, 2020 Denis MARTIN <dmartin@taupie.net>

---------------------------------------

This file is part of MinD, itself part of Taupie since 2020.

Taupie is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License,
or any later version.

Taupie is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Taupie.  If not, see <http://www.gnu.org/licenses/>.

--------------------------------------------------------------------------

Ce fichier fait partie de MinD, lui-même partie de Taupie depuis 2020.

Taupie est un logiciel libre : il peut être redistribué et/ou modifié
selon les termes de la Licence Publique Générale GNU telle que publiée par
la Free Software Foundation, soit la version 3 de la licence ou toute
version ultérieure.

Taupie est distribué dans l'espoir qu'il sera utile,
mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de
VALEUR MARCHANDE ou d'ADEQUATION AVEC UN BUT PARTICULIER. Voir la
Licence Publique Générale GNU pour plus de détails.

Une copie de la Licence Publique Générale GNU devrait être fournie
avec Taupie. Si ce n'est pas le cas, voir <http://www.gnu.org/licenses/>.

*/


#include "mind.h"


#define SCRIPT_KO          -1
#define SCRIPT_OK           0
#define SCRIPT_CANCEL       1
#define SCRIPT_BACK         2
#define SCRIPT_ALLCANCEL    3

int ExecuteInitScript(HWND hwnd, char line[PATH_MAX]);
int ScriptExecute(HWND hwnd);

int ScriptBrowser(HINSTANCE hInstance, HWND hwnd, char scriptPath[PATH_MAX]);
int InternalScriptBrowser(HWND hwnd, char *scriptName);

#endif // SCRIPT_INCLUDED
