#ifndef H_MINOTAURE_INCLUDED
#define H_MINOTAURE_INCLUDED


/**
 * \file minotaur.h
 *
 * \brief Définitions et macros génériques (version Win32)
 * Ce fichier est hérité de min_win.h (2017-2019)
 *
 * \author Denis MARTIN
 * \copyright GNU General Public License 3+
 *
 * \date 2017-2020
 *
 */


/*

Copyright (C) 2017-2020 Denis MARTIN <dmartin@taupie.net>

---------------------------------------

This file is part of MinOTAuR, wich is part of Taupie since 2020.

Taupie is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License,
or any later version.

Taupie is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Taupie.  If not, see <http://www.gnu.org/licenses/gpl.html>.

--------------------------------------------------------------------------

Ce fichier fait partie de MinOTAuR, qui est intégré à Taupie depuis 2020.

Taupie est un logiciel libre : il peut être redistribué et/ou modifié
selon les termes de la Licence Publique Générale GNU telle que publiée par
la Free Software Foundation, soit la version 3 de la licence ou toute
version ultérieure.

Taupie est distribué dans l'espoir qu'il sera utile,
mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de
VALEUR MARCHANDE ou d'ADEQUATION AVEC UN BUT PARTICULIER. Voir la
Licence Publique Générale GNU pour plus de détails.

Une copie de la Licence Publique Générale GNU devrait être fournie
avec Taupie. Si ce n'est pas le cas, voir <http://www.gnu.org/licenses/gpl.html>.

*/


#include <tchar.h>
#include <sqlite3.h>

#include "../../Win32/resource.h"


#define BUTTON_SIZE 72

#define PROJECTVIEW_ROOT        1
#define PROJECTVIEW_TABLELIST   2
#define PROJECTVIEW_TABLE       3
#define PROJECTVIEW_APPTABLE    4

#define InitScript 0x1000


#define TABLE_VIEW_ID 1
#define QUERY_VIEW_ID 2

HWND GetTableView(int viewId);

HWND GetProjectView(void);

LRESULT CALLBACK Main_Procedure(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam);

int SelectTVItemFromString(HWND hTreeView, char *string);

void AutosizeColumn(HWND hListView, int numColumn, int full);
void AutosizeColumns(HWND hListView, int full);

void DiscardProject(void);
void UpdateProject(sqlite3 **db);
void DiscardTable(HWND hTableView);
int AutoSelectTable(const char *tableName);
void FillStatusBar(char *tableName, int records);
void FillQueryBar(char *errorMsg, char *request);
void SetVisibility(int project, int table, int query);

char *GetQueryText(void);



#endif
