#ifndef H_COMMONS_INCLUDED
#define H_COMMONS_INCLUDED


/**
 * \file commons.h
 *
 * \brief Définitions et macros génériques communes
 *
 * \author Denis MARTIN
 * \copyright GNU General Public License 3+
 *
 * \date 2020
 *
 */


/*

Copyright (C) 2017, 2020 Denis MARTIN <dmartin@taupie.net>

---------------------------------------

This file is part of Taupie.

Taupie is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License,
or any later version.

Taupie is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Taupie.  If not, see <http://www.gnu.org/licenses/>.

--------------------------------------------------------------------------

Ce fichier fait partie de Taupie.

Taupie est un logiciel libre : il peut être redistribué et/ou modifié
selon les termes de la Licence Publique Générale GNU telle que publiée par
la Free Software Foundation, soit la version 3 de la licence ou toute
version ultérieure.

Taupie est distribué dans l'espoir qu'il sera utile,
mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de
VALEUR MARCHANDE ou d'ADEQUATION AVEC UN BUT PARTICULIER. Voir la
Licence Publique Générale GNU pour plus de détails.

Une copie de la Licence Publique Générale GNU devrait être fournie
avec Taupie. Si ce n'est pas le cas, voir <http://www.gnu.org/licenses/>.

*/


#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include <unistd.h>


#ifdef WIN32
#include <windows.h>
#endif

#ifndef UI_GTK
#include <tchar.h>
#else
#define char char
#ifdef TEXT
#undef TEXT
#define TEXT(a) a
#endif
#define _tcsrchr strrchr
#ifdef IDYES
#undef IDYES
#endif
#define IDYES GTK_RESPONSE_YES
#endif

#ifndef BOOL
#define BOOL int
#endif

const char *GetRootPath(void);
char *ReplaceInString(const char *string, const char *subString, const char *newSubString);
char *EscapeQuotationMark(const char *string, char quotationMark);
unsigned int MountResource(void **resource, char *resourceName, char *resourceType);


#endif
