#ifndef EN_LOCALE_H_INCLUDED
#define EN_LOCALE_H_INCLUDED



/**
 * \file en_locale.h
 *
 * \brief Definitions and macros for english localization
 *
 * \author Denis MARTIN
 * \copyright GNU General Public License 3+
 *
 * \date 2021
 *
 */


/*

Copyright (C) 2021 Denis MARTIN <dmartin@taupie.net>

---------------------------------------

This file is part of Taupie.

Taupie is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License,
or any later version.

Taupie is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Taupie.  If not, see <http://www.gnu.org/licenses/>.

--------------------------------------------------------------------------

Ce fichier fait partie de Taupie.

Taupie est un logiciel libre : il peut être redistribué et/ou modifié
selon les termes de la Licence Publique Générale GNU telle que publiée par
la Free Software Foundation, soit la version 3 de la licence ou toute
version ultérieure.

Taupie est distribué dans l'espoir qu'il sera utile,
mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de
VALEUR MARCHANDE ou d'ADEQUATION AVEC UN BUT PARTICULIER. Voir la
Licence Publique Générale GNU pour plus de détails.

Une copie de la Licence Publique Générale GNU devrait être fournie
avec Taupie. Si ce n'est pas le cas, voir <http://www.gnu.org/licenses/>.

*/


#if (TAUPIE_LANGUAGE == ENGLISH)

#define TITLE_ABOUTTAUPIE "About Taupie ..."

#define COPYRIGHT_FULLTEXT "Taupie is free software: you can redistribute it and/or modify "\
"it under the terms of the GNU General Public License as published by "\
"the Free Software Foundation, either version 3 of the License, "\
"or any later version." s_new_line s_new_line\
"Taupie is distributed in the hope that it will be useful, "\
"but WITHOUT ANY WARRANTY; without even the implied warranty of "\
"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the "\
"GNU General Public License for more details." s_new_line s_new_line\
"You should have received a copy of the GNU General Public License "\
"along with Taupie.  If not, see <https://www.gnu.org/licenses/gpl.html>." s_new_line s_new_line

#define SETLOCALE "en_US.UTF-8"

#define EMPTY_STRING ""

#define NEW_PROJECT "Create a new Taupie project"

#define OPEN_FILE "Open a file ..."
#define OPEN_SCRIPT "Open a script"
#define OPEN_QUERY "Open a query"
#define OPEN_PROJECT "Open a project"

#define SAVE_AS "Save as ..."

#define FILETYPE_ANY "Any file (*.*)\0*.*\0"
#define FILETYPE_SCRIPT "Python script (*.py)\0*.py\0"
#define FILETYPE_QUERY "SQL query (*.sql)\0*.sql\0"
#define FILETYPE_PROJECT "Taupie project (*.taupie)\0*.taupie\0"
#define FILETYPE_DELIMITED "CSV file (*.csv)\0*.csv\0" "TSV file (*.tsv)\0*.tsv\0"

#define MENU_PROJECT "Project"
#define MENU_NEW "New"
#define MENU_OPEN "Open"
#define MENU_CHOOSE "Choose"
#define MENU_CLOSE "Close"
#define MENU_TABLE "Table"
#define MENU_TABLES "Tables"
#define MENU_IMPORT "Import"
#define MENU_EXPORT "Export"
#define MENU_DELETE "Delete"
#define MENU_QUERY "Query"
#define MENU_RUN "Run"
#define MENU_SCRIPT "Script"
#define MENU_HELP "Help"
#define MENU_ABOUT "About"

#define MESSAGE_TITLE_ERROR "Error !!!"
#define MESSAGE_TITLE_WARNING "Warning !!!"
#define MESSAGE_INFO_FILEEXIST "A file with this name already exists !"
#define MESSAGE_INFO_MEMORYERROR "A memory problem has occurred !"
#define MESSAGE_QUESTION_CANCEL "Do you really want to cancel this operation ?"
#define MESSAGE_QUESTION_DROPTABLE "Drop this table ?"

#define BUTTON_OK "OK"
#define BUTTON_CANCEL "Cancel"


#endif

#endif // EN_LOCALE_H_INCLUDED
