#ifndef FR_LOCALE_H_INCLUDED
#define FR_LOCALE_H_INCLUDED



/**
 * \file fr_locale.h
 *
 * \brief Définitions et macros pour la localisation en français
 *
 * \author Denis MARTIN
 * \copyright GNU General Public License 3+
 *
 * \date 2021
 *
 */


/*

Copyright (C) 2021 Denis MARTIN <dmartin@taupie.net>

---------------------------------------

This file is part of Taupie.

Taupie is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License,
or any later version.

Taupie is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Taupie.  If not, see <http://www.gnu.org/licenses/>.

--------------------------------------------------------------------------

Ce fichier fait partie de Taupie.

Taupie est un logiciel libre : il peut être redistribué et/ou modifié
selon les termes de la Licence Publique Générale GNU telle que publiée par
la Free Software Foundation, soit la version 3 de la licence ou toute
version ultérieure.

Taupie est distribué dans l'espoir qu'il sera utile,
mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de
VALEUR MARCHANDE ou d'ADEQUATION AVEC UN BUT PARTICULIER. Voir la
Licence Publique Générale GNU pour plus de détails.

Une copie de la Licence Publique Générale GNU devrait être fournie
avec Taupie. Si ce n'est pas le cas, voir <http://www.gnu.org/licenses/>.

*/


#if (TAUPIE_LANGUAGE == FRENCH)

#define TITLE_ABOUTTAUPIE "À propos de Taupie ..."

#define COPYRIGHT_FULLTEXT "Taupie est un logiciel libre : il peut être redistribué et/ou modifié "\
"selon les termes de la Licence Publique Générale GNU telle que publiée par "\
"la Free Software Foundation, soit la version 3 de la licence ou toute "\
"version ultérieure." s_new_line s_new_line\
"Taupie est distribué dans l'espoir qu'il sera utile, "\
"mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de "\
"VALEUR MARCHANDE ou d'ADEQUATION AVEC UN BUT PARTICULIER. Voir la "\
"Licence Publique Générale GNU pour plus de détails." s_new_line s_new_line\
"Une copie de la Licence Publique Générale GNU devrait être fournie "\
"avec Taupie. Si ce n'est pas le cas, voir <https://www.gnu.org/licenses/gpl.html>." s_new_line

#define SETLOCALE "fr_FR.UTF-8"

#define EMPTY_STRING ""

#define NEW_PROJECT "Créer un projet Taupie"

#define OPEN_FILE "Ouvrir un fichier ..."
#define OPEN_SCRIPT "Choisir un script"
#define OPEN_QUERY "Choisir une requête"
#define OPEN_PROJECT "Ouvrir un projet"

#define SAVE_AS "Enregistrer sous ..."

#define FILETYPE_ANY "Tout fichier (*.*)\0*.*\0"
#define FILETYPE_SCRIPT "Script Python (*.py)\0*.py\0"
#define FILETYPE_QUERY "Requête SQL (*.sql)\0*.sql\0"
#define FILETYPE_PROJECT "Projet Taupie (*.taupie)\0*.taupie\0"
#define FILETYPE_DELIMITED "Fichier CSV (*.csv)\0*.csv\0" "Fichier TSV (*.tsv)\0*.tsv\0"

#define MENU_PROJECT "Projet"
#define MENU_NEW "Nouveau"
#define MENU_OPEN "Ouvrir"
#define MENU_CHOOSE "Choisir"
#define MENU_CLOSE "Fermer"
#define MENU_TABLE "Table"
#define MENU_TABLES "Tables"
#define MENU_IMPORT "Importer"
#define MENU_EXPORT "Exporter"
#define MENU_DELETE "Supprimer"
#define MENU_QUERY "Requête"
#define MENU_RUN "Exécuter"
#define MENU_SCRIPT "Script"
#define MENU_HELP "?"
#define MENU_ABOUT "A propos"

#define MESSAGE_TITLE_ERROR "Erreur !!!"
#define MESSAGE_TITLE_WARNING "Attention !!!"
#define MESSAGE_INFO_FILEEXIST "Il existe un fichier portant ce nom !"
#define MESSAGE_INFO_MEMORYERROR "Un problème de mémoire s'est produit !"
#define MESSAGE_QUESTION_CANCEL "Voulez-vous vraiment abandonner cette opération ?"
#define MESSAGE_QUESTION_DROPTABLE "Supprimer cette table ?"

#define BUTTON_OK "OK"
#define BUTTON_CANCEL "Abandon"


#endif

#endif // FR_LOCALE_H_INCLUDED
