#ifndef H_TAUPIE_INCLUDED
#define H_TAUPIE_INCLUDED


/**
 * \file taupie.h
 *
 * \brief Définitions et macros génériques.
 *
 * \author Denis MARTIN
 * \copyright GNU General Public License 3+
 *
 * \date 2020-2021
 *
 */


/*

Copyright (C) 2020 Denis MARTIN <dmartin@taupie.net>

---------------------------------------

Ce fichier fait partie de Taupie.

Taupie est un logiciel libre : il peut être redistribué et/ou modifié
selon les termes de la Licence Publique Générale GNU telle que publiée par
la Free Software Foundation, soit la version 3 de la licence ou toute
version ultérieure.

Taupie est distribué dans l'espoir qu'il sera utile,
mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de
VALEUR MARCHANDE ou d'ADEQUATION AVEC UN BUT PARTICULIER. Voir la
Licence Publique Générale GNU pour plus de détails.

Une copie de la Licence Publique Générale GNU devrait être fournie
avec Taupie. Si ce n'est pas le cas, voir <http://www.gnu.org/licenses/gpl.html>.

---------------------------------------

This file is part of Taupie.

Taupie is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License,
or any later version.

Taupie is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Taupie.  If not, see <http://www.gnu.org/licenses/gpl.html>.

*/


#include "locales.h"


#ifdef WIN32
#define s_new_line "\r\n"
#define s_barre_slash "\\"
#define c_barre_slash '\\'
#else
#define s_new_line "\n"
#define s_barre_slash "/"
#define c_barre_slash '/'
#endif


#define HIDE 1
#define SHOW 2

#define RECORDS_IMPORT_STEP 100000

#ifndef UI_GTK
#define RECORDS_DISPLAY_LIMIT 100000
#define RECORDS_DISPLAY_STEP 1000
#else
#define RECORDS_DISPLAY_LIMIT 1000
#define RECORDS_DISPLAY_STEP 1000
#endif

#define INT_MAXSIZE 20

#define s(a) #a

#define TaupieFree(str) if (str) { free(str); str = NULL; }

#ifndef strcasestr
#ifndef UI_GTK
#include <shlwapi.h>
#define strcasestr StrStrIA
#else
#define strcasestr strstr
#endif
#endif

#define cSeparator ';'
#define sSeparator ";"

#define MAX_BUFFER 0x2000
#define LOG_NAME "taupie_log"


#endif // H_TAUPIE_INCLUDED
